Subject: Re: (no subject)
From: "Steve Bamford ARC" <[email-masked]>
To: <[email-masked]>
Date: Tue, 27 Jan 2004 10:38:03 -0800

Hi Bert,
Thanks for sending in your F-4 and F-15 article.  I've got a bit of a backlog due to "Silly Week"....and I'm catching up on my e-mails which I fell behind on due to Christmas and Silly Week etc.  I hope to run your article in the next update tomorrow.  I'll e-mail you when your article goes on ARC.
Steve Bamford
Aircraft Resource Center
http://www.aircraftresourcecenter.com
 
Live like there is no tomorrow;
Love like you've never been hurt.
Work like you don't need the money.
Dance like nobody's watching.
Sing like nobody's listening.
Live like it's Heaven on Earth.

  ----- Original Message ----- 
  From: [email-masked] 
  To: [email-masked] 
  Sent: Sunday, December 14, 2003 7:27 PM
  Subject: (no subject)

    
  "Wild Weasels to Strike Eagles" 

  1/48 Revell F-15E 90th Fighter Squadron

  by Bert Legaspi
  --------------------

        Steve Bamford will insert full sized version of photo 01.jpg here 

  The latest addition to my 1/48 scale series is the Revell F-15E.  The kit is basically built out of the box except for addition of  black box ejection seats, GBU-16s and LANTIRN pods from Hasagawa Weapons D set, and AIM-120/AIM-9 missiles from Hasagawa F-16CJ kit.  The decals are from repli-scale and depict the Squadron Commanders jet AF90-233.  Earlier this year the 90th FS at Elmendorf AFB, AK swapped jets with the 391st FS at Mountain Home AFB, ID.  This was done to ease the maintenance on F-15 engines and matches them with the powerplants used by F-15Cs at each base.   The 90th CC jet is now AF87-210.   New tail flash for the 90th jets takes the red dice off of the red band and placing a larger subdued dice between the PACAF badge and the AK letters. 

        Click on images below to see larger images
       
        Steve Bamford will insert a click-able smaller version of photo 03.jpg here.  Clicking on that photo will bring up the full sized version of photo 03.jpg 

        Steve Bamford will insert a click-able smaller version of photo 04.jpg here.  Clicking on that photo will bring up the full sized version of photo 04.jpg 

  The model depicted carries two external tanks which are used WRM (War Reserve Material) stock tanks used during deployments.  In this case the model is shown as configured during the 90th FS deployment for Operation Northern Watch in early 2001.  The 90th Fighter Squadron transitioned from F-4G Wild Weasels out of Clark AB, Philippines and moved to Elmendorf AFB, Alaska into F-15E Strike Eagles in 1991.

        Steve Bamford will insert full sized version of photo 02.jpg here 

  When the 90th flew F-4Gs it was the Pacific Air Forces sole SAM Suppression squadron.  Today the 90th is again unique being the sole F-15E squadron in PACAF and has deployed to Korea everytime there happens to be a crisis on the peninsula or when navy carrier battlegroup coverage in the western pacific is absent.  In 1992 the Dicemen deployed to Misawa AB, Japan for Keen Edge working with Japanese Air Self Defense Forces and were part of the last Team Spirit 93 in Korea at Kwang-Ju Airbase along with exercises like Red Flag at Nellis and Cope Thunder back at Elmendorf.  Their F-15Es have also deployed to other regions having relieved Lakenheath F-15Es at Aviano for patrols over Bosnia in 1995 and taking part in Operation Northern Watch combat patrols over Iraq as part of AEF-3 in 2001.   

        Click on images below to see larger images
       
        Steve Bamford will insert a click-able smaller version of photo 05.jpg here.  Clicking on that photo will bring up the full sized version of photo 05.jpg 

       Steve Bamford will insert a click-able smaller version of photo 06.jpg here.  Clicking on that photo will bring up the full sized version of photo 06.jpg 

       Steve Bamford will insert a click-able smaller version of photo 07.jpg here.  Clicking on that photo will bring up the full sized version of photo 07.jpg